Open MPI logo

Open MPI Announcements Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Announce mailing list

Subject: [Open MPI Announce] Open MPI v1.6.4 released
From: Jeff Squyres (jsquyres) (jsquyres_at_[hidden])
Date: 2013-02-21 12:39:20


The Open MPI Team, representing a consortium of research, academic, and industry partners, is pleased to the next release in the stable release series: Open MPI version 1.6.4.

Version 1.6.4 is a minor bugfix release. All users are encouraged to upgrade to v1.6.4 when possible.

Note that v1.6.4 is ABI compatible with the entire v1.5.x and v1.6.x series, but is not ABI compatible with the v1.4.x series. See http://www.open-mpi.org/software/ompi/versions/ for a description of Open MPI's release methodology.

Version 1.6.4 can be downloaded from the main Open MPI web site or any of its mirrors (Windows binaries may be available eventually; Open MPI needs a new Windows maintainer -- let us know on the developers' list if you're interested in helping out).

Here is a list of changes in v1.6.4 as compared to v1.6.3:

- Fix Cygwin shared memory and debugger plugin support. Thanks to
  Marco Atzeri for reporting the issue and providing initial patches.
- Fix to obtaining the correct available nodes when a rankfile is
  providing the allocation. Thanks to Siegmar Gross for reporting the
  problem.
- Fix process binding issue on Solaris. Thanks to Siegmar Gross for
  reporting the problem.
- Updates for MXM 2.0.
- Major VT update to 5.14.2.3.
- Fixed F77 constants for Cygwin/Cmake build.
- Fix a linker error when configuring --without-hwloc.
- Automatically provide compiler flags that compile properly on some
  types of ARM systems.
- Fix slot_list behavior when multiple sockets are specified. Thanks
  to Siegmar Gross for reporting the problem.
- Fixed memory leak in one-sided operations. Thanks to Victor
  Vysotskiy for letting us know about this one.
- Added performance improvements to the OpenIB (OpenFabrics) BTL.
- Improved error message when process affinity fails.
- Fixed MPI_MINLOC on man pages for MPI_REDUCE(_LOCAL). Thanks to Jed
  Brown for noticing the problem and supplying a fix.
- Made malloc hooks more friendly to IO interprosers. Thanks to the
  bug report and suggested fix from Darshan maintainer Phil Carns.
- Restored ability to direct launch under SLURM without PMI support.
- Fixed MPI datatype issues on OpenBSD.
- Major VT update to 5.14.2.3.
- Support FCA v3.0+.
- Fixed header file problems on OpenBSD.
- Fixed issue with MPI_TYPE_CREATE_F90_REAL.
- Fix an issue with using external libltdl installations. Thanks to
  opolawski for identifying the problem.
- Fixed MPI_IN_PLACE case for MPI_ALLGATHER for FCA.
- Allow SLURM PMI support to look in lib64 directories. Thanks to
  Guillaume Papaure for the patch.
- Restore "use mpi" ABI compatibility with the rest of the 1.5/1.6
  series (except for v1.6.3, where it was accidentally broken).
- Fix a very old error in opal_path_access(). Thanks to Marco Atzeri
  for chasing it down.

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/